# Class Border

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - Border

- Defined in file/paragraph/formatting/border.ts:12

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Border(options): Border

- #### Parameters

  - ##### options: IBordersOptions

  #### Returns Border

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in file/paragraph/formatting/border.ts:13

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:53

Generated using TypeDoc